Mandates

Store a signed mandate

POST
/api/mandates

Re-verifies the signature, freshness, expiry and readiness, then writes the first event of the mandate's hash chain.

Request Body

application/json

The mandate and the shopper's signature over it.

A mandate and the shopper's signature over its signing message.

mandate*

What the shopper signs. Its canonical JSON (sorted keys) is hashed with SHA-256 for the signing message.

signature*string

Base64 Ed25519 signature of the signing message.

Length80 <= length <= 100

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/mandates" \  -H "Content-Type: application/json" \  -d '{    "mandate": {      "version": 1,      "id": "2f4069f0-2367-4f08-acc6-d9cf1cf6669a",      "createdAt": "2026-10-20T04:18:17.928Z",      "expiresAt": "2026-11-03T04:18:17.928Z",      "shopperKey": "aHBQ5B27O2BiDV0oWgOigpsXZKjOfhcYYMch5pZ5H0c=",      "request": "Buy me black men\'s running shoes, size 10, under $120",      "intent": {        "item": "running shoes",        "category": "running shoes",        "quantity": 1,        "maxPrice": 120,        "currency": "USD",        "attributes": {          "size": "10",          "color": "black"        },        "gender": "male",        "mustAsk": []      }    },    "signature": "derQBgmEoL8kvl3vfHVsmqTVAkGTSvb2ShqDoVFKdSC5U5PpGkYAUsDzgSd80QyEpGEPh4966mrEQ9CzBw0IDA=="  }'
{  "id": "2f4069f0-2367-4f08-acc6-d9cf1cf6669a",  "digest": "7bf66d54681f2b73e2f05ee0d49b5a68776908620751daaf0102b9f0b17fcac6",  "event": {    "seq": 0,    "hash": "91b50424c310c5106b3c9873427ada9d3ffccf45c9834d1c2df342316b5a25d8"  }}